package com.ruoyi.warehouseBusiness.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class TWareHouseExcelItems {

    /** 提单号 */
    @Excel(name = "序号")
    private String fId;

    /** 类型 */
    @Excel(name = "业务来源")
    private String fBilltype;

    /** 提单号 */
    @Excel(name = "业务单号")
    private String fMblno;


    /** 货名 */
    @Excel(name = "货物货名")
    private String fGoodsid;

    /** 品牌 */
    @Excel(name = "唛头")
    private String fMarks;

    /** 业务日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBsdate;

    /** 提单号 */
    @Excel(name = "计费单位")
    private String fFeeUnitid;

    /** 重量 */
    @Excel(name = "计费数量")
    private BigDecimal fBillingQty;

    /** 计费起始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计费起始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fChargedate;

    /** 计费起始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计费截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBillingDeadline;

    /** 计费天数 */
    @Excel(name = "计费天数")
    private Long fBillingDays;

    /** 堆存天数 */
    @Excel(name = "库存天数")
    private Long fInventoryDays;


    /** 货物堆存费 */
    @Excel(name = "计费金额")
    private BigDecimal fAmt;

    /** 备注 */
    @Excel(name = "备注")
    private String  remark;

    public String getfId() {
        return fId;
    }

    public void setfId(String fId) {
        this.fId = fId;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfGoodsid() {
        return fGoodsid;
    }

    public void setfGoodsid(String fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public String getfFeeUnitid() {
        return fFeeUnitid;
    }

    public void setfFeeUnitid(String fFeeUnitid) {
        this.fFeeUnitid = fFeeUnitid;
    }

    public Date getfChargedate() {
        return fChargedate;
    }

    public void setfChargedate(Date fChargedate) {
        this.fChargedate = fChargedate;
    }

    public Date getfBillingDeadline() {
        return fBillingDeadline;
    }

    public void setfBillingDeadline(Date fBillingDeadline) {
        this.fBillingDeadline = fBillingDeadline;
    }

    public BigDecimal getfBillingQty() {
        return fBillingQty;
    }

    public void setfBillingQty(BigDecimal fBillingQty) {
        this.fBillingQty = fBillingQty;
    }

    public Long getfBillingDays() {
        return fBillingDays;
    }

    public void setfBillingDays(Long fBillingDays) {
        this.fBillingDays = fBillingDays;
    }

    public Long getfInventoryDays() {
        return fInventoryDays;
    }

    public void setfInventoryDays(Long fInventoryDays) {
        this.fInventoryDays = fInventoryDays;
    }

    public BigDecimal getfAmt() {
        return fAmt;
    }

    public void setfAmt(BigDecimal fAmt) {
        this.fAmt = fAmt;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
